#include <bits/stdc++.h>

#define ull unsigned long long

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);

    bool f = true;
    int N, r = -1;
    ull L;
    std::cin >> N >> L;

    for(int i = 1; i <= N; i++)
    {
        ull h;
        std::cin >> h;

        if(h <= L && f)
        {
            r = i;
            f = false;
        }
    }

    std::cout << r;

    return 0;
}